#! /bin/sh

ETCDIR=/etc
DIR=/usr/local
DAEMON=daemon

set -x

for i in $DIR $DIR/bin $DIR/etc $DIR/lib $ETCDIR/portslave; do
  [ ! -d $i ] && install -m 755 -d $i
done

if [ -f $ETCDIR/portslave/pslave.conf ]; then
	install -m 644 	./pslave.conf		$ETCDIR/portslave/pslave.conf.sample
else
	install -m 644 	./pslave.conf		$ETCDIR/portslave/pslave.conf
fi

install -m 755 		src/portslave		$DIR/sbin/portslave
install -m 755		src/radinit		$DIR/sbin/radinit
install -o root -g $DAEMON -m 4750 \
			src/ctlportslave	$DIR/sbin/ctlportslave
install -m 755 		rlogin-8.10/rlogin-radius	$DIR/bin/rlogin-radius

install -m 755 	ppp-2.3.8-radius/pppd/pppd-radius	$DIR/sbin/pppd-radius

install -m 644		libpsr/libpsr.so	$DIR/lib/libpsr.so

#rm -f $DIR/bin/in.fingerd
#ln -s ctlportslave $DIR/bin/in.fingerd

if [ -d /etc/rc.boot ] && [ ! -e /etc/rc.boot/radinit ]; then

	install -m 755  src/radinit.sh /etc/rc.boot/radinit
	ri="RADINIT=$DIR/sbin/radinit"
	sed 's/^RADINIT=.*$/'"$ri"'/' src/radinit.sh > /etc/rc.boot/radinit
fi
